Subject: Re: What's cooking in git.git (Nov 2018, #06; Wed, 21)

From: "Stephen P. Smith" <[email-masked]>
Date: Wed, 21 Nov 2018 19:08:21 -0700

On Wednesday, November 21, 2018 6:06:13 PM MST Junio C Hamano wrote:
> "Stephen P. Smith" <[email-masked]> writes:
> > On Wednesday, November 21, 2018 2:00:16 AM MST Junio C Hamano wrote:
> >> [Stalled]
> >> 
> >> * lt/date-human (2018-07-09) 1 commit
> >> 
> >>  - Add 'human' date format
> >>  
> >>  A new date format "--date=human" that morphs its output depending
> >>  on how far the time is from the current time has been introduced.
> >>  "--date=auto" can be used to use this new format when the output is
> >>  goint to the pager or to the terminal and otherwise the default
> >>  format.
> > 
> > What needs to be done with this patch to move it along?
> 
> In a random order as they come to my mind:
> 
>  - Support by people other than the original author;

I was trying to decide if you were wanting someone besides Linus to carry this 
through (knowing that he was unlikely to do so).   The idea seems reasonable 
to me.   I don't mind doing so if neither of you object.

> 
>  - Deciding what to call this (i.e. Linus's personal preference
>    would not be the only 'human' style, but we may declare it is
>    good enough as "a" human format, not "the" human format);
> 
>  - Some mechanism (either technical or documentation) to prevent
>    endless stream of "I like human output, but I'd tweak it slightly
>    this way" updates in the future;
> 
>  - Doc;
> 
>  - Command line completion;
> 
>  - Tests;
> 
>  - Waiting for the end of feature freeze before the upcoming
>    release.
> 
> There may be others, but without all of the above, I'd feel a bit
> uncomfortable.
> 
I wouldn't think this would go in now since the patch has been stalled for 
months.  It is also on the pu branch.  

> > I see that both Linus and Junio have signed the patch.
> 
> That does not assert that the code is desirable thing to add.  It
> just says we made sure that we legally have rights to include it, if
> we want to.

Picking up someones stalled patch is one thing, picking up Linus' patch is in 
a different league.